# Uses of Interface
org.jfree.chart3d.table.TableElementOnDraw

Packages that use TableElementOnDraw
Package
Description
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of TableElementOnDraw in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend with parameters of type TableElementOnDraw
Modifier and Type
Method
Description
`void`
ColorScaleElement.`draw(Graphics2D g2, Rectangle2D bounds, TableElementOnDraw onDrawHandler)`
Draws the element within the specified bounds.

## Uses of TableElementOnDraw in org.jfree.chart3d.table

Methods in org.jfree.chart3d.table with parameters of type TableElementOnDraw
Modifier and Type
Method
Description
`void`
FlowElement.`draw(Graphics2D g2, Rectangle2D bounds, TableElementOnDraw onDrawHandler)`
Draws the element within the specified bounds.
`void`
GridElement.`draw(Graphics2D g2, Rectangle2D bounds, TableElementOnDraw onDrawHandler)`
Draws the element within the specified bounds.
`void`
ShapeElement.`draw(Graphics2D g2, Rectangle2D bounds, TableElementOnDraw onDrawHandler)`
Draws the element within the specified bounds.
`void`
TableElement.`draw(Graphics2D g2, Rectangle2D bounds, TableElementOnDraw onDrawHandler)`
Draws the element within the specified bounds.
`void`
TextElement.`draw(Graphics2D g2, Rectangle2D bounds, TableElementOnDraw onDrawHandler)`
Draws the element within the specified bounds.
`void`
VerticalFlowElement.`draw(Graphics2D g2, Rectangle2D bounds, TableElementOnDraw onDrawHandler)`
Draws the element within the specified bounds.